#include "imageoperationrectify.h"
#include "../rectify.h"
#include <QDebug>
#include <QTime>
ImageOperationRectify::ImageOperationRectify(QImage *origin, QStack<QImage> *stackImage)
{
    m_origin = origin;
    m_stackImage = stackImage;
    isInterupt = false;
}

void ImageOperationRectify::ImageOP(){
    QImage imgCopy = imageCopy(m_origin, m_stackImage);
    int res = 0;

    res = ImageRectify(m_origin);
    if(res == 0){
        qDebug() << "rectify success!";
    }else{
        isInterupt = true;
        qDebug() << "rectify exit!";
    }
    emit finished();
}
